class __declspec(dllexport) VolumeManagement
{
  public:
    vector<string> GetLogicalDrives_();
    string GetDriveType_(vector<string>);
    string GetDriveType_(string);
    vector<string> GetLogicalDriveStrings_();
    string GetVolumeInformation_(const char*);
    bool SetVolumeMointPoint_(const char*, const char*);
    bool DeleteVolumeMountPoint_(const char*);
    string GetVolumePathName_(const char*);
    string GetVolumeNameForVolumeMountPoint_(const char*);
    string FindFirstVolume_();
    string FindNextVolume_();
    string QueryDosDevice_(const char*);
    string GetVolumePathNamesForVolumeName_(const char*);
    string FormatFileSystemFlags(DWORD, LPCTSTR);
  private:
    bool FolderExists(char*);
    HANDLE drivehandle;
};
